Skip to main content
GET
/
v1
/
assets
/
{assetTypeName}
/
{assetId}
/
files
/
{fileId}
/
download
Get a Download URL
curl --request GET \
  --url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/files/{fileId}/download \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
{
  "presignedDownloadUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

assetTypeName
string
required

Asset type name

assetId
string<uuid>
required

Asset ID

fileId
string<uuid>
required

File ID

Query Parameters

include_deleted
boolean

Include soft-deleted (default: false)

Response

Default Response

presignedDownloadUrl
string<uri>
required

Presigned URL for downloading file from S3